// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		1605933D2402E3D7001DB69F /* Disposable.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1605933B2402E3D7001DB69F /* Disposable.swift */; };
		1607F42622AD0D210036AC44 /* ShaarliHtmlClient.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1607F42522AD0D210036AC44 /* ShaarliHtmlClient.swift */; };
		1607F42722AD0D210036AC44 /* ShaarliHtmlClient.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1607F42522AD0D210036AC44 /* ShaarliHtmlClient.swift */; };
		1607F42822AD0D210036AC44 /* ShaarliHtmlClient.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1607F42522AD0D210036AC44 /* ShaarliHtmlClient.swift */; };
		1607F42A22AD121E0036AC44 /* ShaarliHtmlClientTest.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1607F42922AD121E0036AC44 /* ShaarliHtmlClientTest.swift */; };
		1607F42C22AD21C30036AC44 /* testdata in Resources */ = {isa = PBXBuildFile; fileRef = 1607F42B22AD21C30036AC44 /* testdata */; };
		1607F42D22AD21C30036AC44 /* testdata in Resources */ = {isa = PBXBuildFile; fileRef = 1607F42B22AD21C30036AC44 /* testdata */; };
		1607F43222AD2BCE0036AC44 /* libxml2.2.tbd in Frameworks */ = {isa = PBXBuildFile; fileRef = 1607F43022AD2BCE0036AC44 /* libxml2.2.tbd */; };
		1607F43322AD2BCE0036AC44 /* libxml2.tbd in Frameworks */ = {isa = PBXBuildFile; fileRef = 1607F43122AD2BCE0036AC44 /* libxml2.tbd */; };
		1607F43622AD2D8B0036AC44 /* HtmlFormParser.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1607F43522AD2D8B0036AC44 /* HtmlFormParser.swift */; };
		1607F43722AD2D8B0036AC44 /* HtmlFormParser.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1607F43522AD2D8B0036AC44 /* HtmlFormParser.swift */; };
		1607F43822AD2D8B0036AC44 /* HtmlFormParser.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1607F43522AD2D8B0036AC44 /* HtmlFormParser.swift */; };
		161FACA922AEBAED00C96B96 /* HtmlFormParserTest.swift in Sources */ = {isa = PBXBuildFile; fileRef = 161FACA822AEBA9200C96B96 /* HtmlFormParserTest.swift */; };
		162268BF261DB7DD001F550F /* Scraper.js in Resources */ = {isa = PBXBuildFile; fileRef = 162268BE261DB7DD001F550F /* Scraper.js */; };
		1622937A240DB3E400B2017F /* KeyValueObserver.m in Sources */ = {isa = PBXBuildFile; fileRef = 160593372402E0F9001DB69F /* KeyValueObserver.m */; };
		1631278B2305F7AF0098B11C /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 168C71A722AD03EC007DF595 /* Main.storyboard */; };
		164741522451B8550016EA9A /* SettingsVCTest.swift in Sources */ = {isa = PBXBuildFile; fileRef = 164741512451B8550016EA9A /* SettingsVCTest.swift */; };
		1688469E237065CF00130588 /* LaunchScreen.xib in Resources */ = {isa = PBXBuildFile; fileRef = 1688469C237065CF00130588 /* LaunchScreen.xib */; };
		168846A22370669300130588 /* Icon-1024x1024.png in Resources */ = {isa = PBXBuildFile; fileRef = 168846A12370669300130588 /* Icon-1024x1024.png */; };
		168C71A422AD03EC007DF595 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 168C71A322AD03EC007DF595 /* AppDelegate.swift */; };
		168C71AB22AD03ED007DF595 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 168C71AA22AD03ED007DF595 /* Assets.xcassets */; };
		168C71B922AD03EE007DF595 /* ShaarliOSTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 168C71B822AD03EE007DF595 /* ShaarliOSTests.swift */; };
		168C71C422AD03EE007DF595 /* ShaarliOSUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 168C71C322AD03EE007DF595 /* ShaarliOSUITests.swift */; };
		16964E2B2401354C004D85FA /* KeychainPasswordItem.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16964E2A2401354C004D85FA /* KeychainPasswordItem.swift */; };
		16B094C524000F3F001B5224 /* ShaarliM.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16B094C424000F3F001B5224 /* ShaarliM.swift */; };
		16B094C624000F3F001B5224 /* ShaarliM.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16B094C424000F3F001B5224 /* ShaarliM.swift */; };
		16B094C724000F3F001B5224 /* ShaarliM.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16B094C424000F3F001B5224 /* ShaarliM.swift */; };
		16B094C924001075001B5224 /* BlogM.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16B094C824001075001B5224 /* BlogM.swift */; };
		16B094CA24001075001B5224 /* BlogM.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16B094C824001075001B5224 /* BlogM.swift */; };
		16B094CB24001075001B5224 /* BlogM.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16B094C824001075001B5224 /* BlogM.swift */; };
		16D5E293230581E700D62C2E /* MainVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16D5E29123057DEF00D62C2E /* MainVC.swift */; };
		16D5E29723058BF200D62C2E /* about.html in Resources */ = {isa = PBXBuildFile; fileRef = 16D5E29523058BF200D62C2E /* about.html */; };
		16DAA966240036C9009641CC /* SettingsVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16DAA965240036C9009641CC /* SettingsVC.swift */; };
		16ECD148240E538500C66051 /* KeychainPasswordItem.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16964E2A2401354C004D85FA /* KeychainPasswordItem.swift */; };
		16ECD149240E539B00C66051 /* KeychainPasswordItem.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16964E2A2401354C004D85FA /* KeychainPasswordItem.swift */; };
		16F5C926240D5395001B75D4 /* ShareVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16F5C925240D5395001B75D4 /* ShareVC.swift */; };
		16F5C92D240D5395001B75D4 /* Share.appex in Embed App Extensions */ = {isa = PBXBuildFile; fileRef = 16F5C923240D5395001B75D4 /* Share.appex */; settings = {ATTRIBUTES = (RemoveHeadersOnCopy, ); }; };
		16F5C934240D6595001B75D4 /* libxml2.tbd in Frameworks */ = {isa = PBXBuildFile; fileRef = 1607F43122AD2BCE0036AC44 /* libxml2.tbd */; };
		16F5C935240D65A3001B75D4 /* libxml2.tbd in Frameworks */ = {isa = PBXBuildFile; fileRef = 1607F43122AD2BCE0036AC44 /* libxml2.tbd */; };
		16F5C937240D7002001B75D4 /* KeychainPasswordItem.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16964E2A2401354C004D85FA /* KeychainPasswordItem.swift */; };
		16F5C938240D7056001B75D4 /* BlogM.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16B094C824001075001B5224 /* BlogM.swift */; };
		16F5C939240D705B001B75D4 /* ShaarliM.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16B094C424000F3F001B5224 /* ShaarliM.swift */; };
		16F5C93A240D7063001B75D4 /* HtmlFormParser.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1607F43522AD2D8B0036AC44 /* HtmlFormParser.swift */; };
		16F5C93B240D706A001B75D4 /* ShaarliHtmlClient.swift in Sources */ = {isa = PBXBuildFile; fileRef = 1607F42522AD0D210036AC44 /* ShaarliHtmlClient.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		168C71B522AD03EE007DF595 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 168C719822AD03EC007DF595 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 168C719F22AD03EC007DF595;
			remoteInfo = ShaarliOS;
		};
		168C71C022AD03EE007DF595 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 168C719822AD03EC007DF595 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 168C719F22AD03EC007DF595;
			remoteInfo = ShaarliOS;
		};
		16F5C92B240D5395001B75D4 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 168C719822AD03EC007DF595 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 16F5C922240D5395001B75D4;
			remoteInfo = Share;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXCopyFilesBuildPhase section */
		16F5C931240D5395001B75D4 /* Embed App Extensions */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 13;
			files = (
				16F5C92D240D5395001B75D4 /* Share.appex in Embed App Extensions */,
			);
			name = "Embed App Extensions";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		160593362402E0F9001DB69F /* KeyValueObserver.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KeyValueObserver.h; sourceTree = "<group>"; };
		160593372402E0F9001DB69F /* KeyValueObserver.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = KeyValueObserver.m; sourceTree = "<group>"; };
		1605933B2402E3D7001DB69F /* Disposable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Disposable.swift; sourceTree = "<group>"; };
		1607F42522AD0D210036AC44 /* ShaarliHtmlClient.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ShaarliHtmlClient.swift; sourceTree = "<group>"; };
		1607F42922AD121E0036AC44 /* ShaarliHtmlClientTest.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ShaarliHtmlClientTest.swift; sourceTree = "<group>"; };
		1607F42B22AD21C30036AC44 /* testdata */ = {isa = PBXFileReference; lastKnownFileType = folder; path = testdata; sourceTree = "<group>"; };
		1607F42E22AD27CD0036AC44 /* TestCase.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TestCase.swift; sourceTree = "<group>"; };
		1607F43022AD2BCE0036AC44 /* libxml2.2.tbd */ = {isa = PBXFileReference; lastKnownFileType = "sourcecode.text-based-dylib-definition"; name = libxml2.2.tbd; path = usr/lib/libxml2.2.tbd; sourceTree = SDKROOT; };
		1607F43122AD2BCE0036AC44 /* libxml2.tbd */ = {isa = PBXFileReference; lastKnownFileType = "sourcecode.text-based-dylib-definition"; name = libxml2.tbd; path = usr/lib/libxml2.tbd; sourceTree = SDKROOT; };
		1607F43422AD2C000036AC44 /* Bridging.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = Bridging.h; sourceTree = "<group>"; };
		1607F43522AD2D8B0036AC44 /* HtmlFormParser.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HtmlFormParser.swift; sourceTree = "<group>"; };
		161FACA822AEBA9200C96B96 /* HtmlFormParserTest.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HtmlFormParserTest.swift; sourceTree = "<group>"; };
		162268BE261DB7DD001F550F /* Scraper.js */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.javascript; path = Scraper.js; sourceTree = "<group>"; };
		164741512451B8550016EA9A /* SettingsVCTest.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SettingsVCTest.swift; sourceTree = "<group>"; };
		1688469D237065CF00130588 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.xib; name = Base; path = Base.lproj/LaunchScreen.xib; sourceTree = "<group>"; };
		168846A12370669300130588 /* Icon-1024x1024.png */ = {isa = PBXFileReference; lastKnownFileType = image.png; path = "Icon-1024x1024.png"; sourceTree = SOURCE_ROOT; };
		168C71A022AD03EC007DF595 /* ShaarliOS.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = ShaarliOS.app; sourceTree = BUILT_PRODUCTS_DIR; };
		168C71A322AD03EC007DF595 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		168C71A822AD03EC007DF595 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		168C71AA22AD03ED007DF595 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		168C71AF22AD03ED007DF595 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		168C71B422AD03EE007DF595 /* ShaarliOSTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = ShaarliOSTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		168C71B822AD03EE007DF595 /* ShaarliOSTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ShaarliOSTests.swift; sourceTree = "<group>"; };
		168C71BA22AD03EE007DF595 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		168C71BF22AD03EE007DF595 /* ShaarliOSUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = ShaarliOSUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		168C71C322AD03EE007DF595 /* ShaarliOSUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ShaarliOSUITests.swift; sourceTree = "<group>"; };
		168C71C522AD03EE007DF595 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		16964E2A2401354C004D85FA /* KeychainPasswordItem.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeychainPasswordItem.swift; sourceTree = "<group>"; };
		16B094C424000F3F001B5224 /* ShaarliM.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ShaarliM.swift; sourceTree = "<group>"; };
		16B094C824001075001B5224 /* BlogM.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BlogM.swift; sourceTree = "<group>"; };
		16D5E29123057DEF00D62C2E /* MainVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainVC.swift; sourceTree = "<group>"; };
		16D5E29623058BF200D62C2E /* Base */ = {isa = PBXFileReference; indentWidth = 2; lastKnownFileType = text.html; name = Base; path = Base.lproj/about.html; sourceTree = "<group>"; tabWidth = 2; };
		16DAA965240036C9009641CC /* SettingsVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SettingsVC.swift; sourceTree = "<group>"; };
		16F5C923240D5395001B75D4 /* Share.appex */ = {isa = PBXFileReference; explicitFileType = "wrapper.app-extension"; includeInIndex = 0; path = Share.appex; sourceTree = BUILT_PRODUCTS_DIR; };
		16F5C925240D5395001B75D4 /* ShareVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ShareVC.swift; sourceTree = "<group>"; };
		16F5C92A240D5395001B75D4 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		16F5C932240D53F7001B75D4 /* Share.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = Share.entitlements; sourceTree = "<group>"; };
		16F5C936240D68B8001B75D4 /* ShaarliOS.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = ShaarliOS.entitlements; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		168C719D22AD03EC007DF595 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				16F5C934240D6595001B75D4 /* libxml2.tbd in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		168C71B122AD03EE007DF595 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				1607F43222AD2BCE0036AC44 /* libxml2.2.tbd in Frameworks */,
				1607F43322AD2BCE0036AC44 /* libxml2.tbd in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		168C71BC22AD03EE007DF595 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		16F5C920240D5395001B75D4 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				16F5C935240D65A3001B75D4 /* libxml2.tbd in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		1607F42F22AD2BCE0036AC44 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				1607F43022AD2BCE0036AC44 /* libxml2.2.tbd */,
				1607F43122AD2BCE0036AC44 /* libxml2.tbd */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		168C719722AD03EC007DF595 = {
			isa = PBXGroup;
			children = (
				168C71A222AD03EC007DF595 /* ShaarliOS */,
				168C71B722AD03EE007DF595 /* ShaarliOSTests */,
				168C71C222AD03EE007DF595 /* ShaarliOSUITests */,
				16F5C924240D5395001B75D4 /* Share */,
				168C71A122AD03EC007DF595 /* Products */,
				1607F42F22AD2BCE0036AC44 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		168C71A122AD03EC007DF595 /* Products */ = {
			isa = PBXGroup;
			children = (
				168C71A022AD03EC007DF595 /* ShaarliOS.app */,
				168C71B422AD03EE007DF595 /* ShaarliOSTests.xctest */,
				168C71BF22AD03EE007DF595 /* ShaarliOSUITests.xctest */,
				16F5C923240D5395001B75D4 /* Share.appex */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		168C71A222AD03EC007DF595 /* ShaarliOS */ = {
			isa = PBXGroup;
			children = (
				16F5C936240D68B8001B75D4 /* ShaarliOS.entitlements */,
				168846A12370669300130588 /* Icon-1024x1024.png */,
				1688469C237065CF00130588 /* LaunchScreen.xib */,
				168C71AF22AD03ED007DF595 /* Info.plist */,
				168C71AA22AD03ED007DF595 /* Assets.xcassets */,
				16D5E29523058BF200D62C2E /* about.html */,
				168C71A722AD03EC007DF595 /* Main.storyboard */,
				168C71A322AD03EC007DF595 /* AppDelegate.swift */,
				16D5E29123057DEF00D62C2E /* MainVC.swift */,
				16DAA965240036C9009641CC /* SettingsVC.swift */,
				1607F43422AD2C000036AC44 /* Bridging.h */,
				1607F42522AD0D210036AC44 /* ShaarliHtmlClient.swift */,
				1607F43522AD2D8B0036AC44 /* HtmlFormParser.swift */,
				16B094C424000F3F001B5224 /* ShaarliM.swift */,
				16B094C824001075001B5224 /* BlogM.swift */,
				16F5CF3924018B38001B4D7F /* 3rd */,
			);
			path = ShaarliOS;
			sourceTree = "<group>";
		};
		168C71B722AD03EE007DF595 /* ShaarliOSTests */ = {
			isa = PBXGroup;
			children = (
				1607F42E22AD27CD0036AC44 /* TestCase.swift */,
				1607F42B22AD21C30036AC44 /* testdata */,
				168C71B822AD03EE007DF595 /* ShaarliOSTests.swift */,
				161FACA822AEBA9200C96B96 /* HtmlFormParserTest.swift */,
				1607F42922AD121E0036AC44 /* ShaarliHtmlClientTest.swift */,
				164741512451B8550016EA9A /* SettingsVCTest.swift */,
				168C71BA22AD03EE007DF595 /* Info.plist */,
			);
			path = ShaarliOSTests;
			sourceTree = "<group>";
		};
		168C71C222AD03EE007DF595 /* ShaarliOSUITests */ = {
			isa = PBXGroup;
			children = (
				168C71C322AD03EE007DF595 /* ShaarliOSUITests.swift */,
				168C71C522AD03EE007DF595 /* Info.plist */,
			);
			path = ShaarliOSUITests;
			sourceTree = "<group>";
		};
		16F5C924240D5395001B75D4 /* Share */ = {
			isa = PBXGroup;
			children = (
				16F5C932240D53F7001B75D4 /* Share.entitlements */,
				16F5C92A240D5395001B75D4 /* Info.plist */,
				16F5C925240D5395001B75D4 /* ShareVC.swift */,
				162268BE261DB7DD001F550F /* Scraper.js */,
			);
			path = Share;
			sourceTree = "<group>";
		};
		16F5CF3924018B38001B4D7F /* 3rd */ = {
			isa = PBXGroup;
			children = (
				16964E2A2401354C004D85FA /* KeychainPasswordItem.swift */,
				160593362402E0F9001DB69F /* KeyValueObserver.h */,
				160593372402E0F9001DB69F /* KeyValueObserver.m */,
				1605933B2402E3D7001DB69F /* Disposable.swift */,
			);
			name = 3rd;
			path = ShaarliOS/3rd;
			sourceTree = SOURCE_ROOT;
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		168C719F22AD03EC007DF595 /* ShaarliOS */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 168C71C822AD03EE007DF595 /* Build configuration list for PBXNativeTarget "ShaarliOS" */;
			buildPhases = (
				168C719C22AD03EC007DF595 /* Sources */,
				168C719D22AD03EC007DF595 /* Frameworks */,
				168C719E22AD03EC007DF595 /* Resources */,
				16D5E298230594F800D62C2E /* Git Sha -> Info.plist */,
				16F5C931240D5395001B75D4 /* Embed App Extensions */,
			);
			buildRules = (
			);
			dependencies = (
				16F5C92C240D5395001B75D4 /* PBXTargetDependency */,
			);
			name = ShaarliOS;
			productName = ShaarliOS;
			productReference = 168C71A022AD03EC007DF595 /* ShaarliOS.app */;
			productType = "com.apple.product-type.application";
		};
		168C71B322AD03EE007DF595 /* ShaarliOSTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 168C71CB22AD03EE007DF595 /* Build configuration list for PBXNativeTarget "ShaarliOSTests" */;
			buildPhases = (
				168C71B022AD03EE007DF595 /* Sources */,
				168C71B122AD03EE007DF595 /* Frameworks */,
				168C71B222AD03EE007DF595 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				168C71B622AD03EE007DF595 /* PBXTargetDependency */,
			);
			name = ShaarliOSTests;
			productName = ShaarliOSTests;
			productReference = 168C71B422AD03EE007DF595 /* ShaarliOSTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		168C71BE22AD03EE007DF595 /* ShaarliOSUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 168C71CE22AD03EE007DF595 /* Build configuration list for PBXNativeTarget "ShaarliOSUITests" */;
			buildPhases = (
				168C71BB22AD03EE007DF595 /* Sources */,
				168C71BC22AD03EE007DF595 /* Frameworks */,
				168C71BD22AD03EE007DF595 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				168C71C122AD03EE007DF595 /* PBXTargetDependency */,
			);
			name = ShaarliOSUITests;
			productName = ShaarliOSUITests;
			productReference = 168C71BF22AD03EE007DF595 /* ShaarliOSUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
		16F5C922240D5395001B75D4 /* Share */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 16F5C930240D5395001B75D4 /* Build configuration list for PBXNativeTarget "Share" */;
			buildPhases = (
				16F5C91F240D5395001B75D4 /* Sources */,
				16F5C920240D5395001B75D4 /* Frameworks */,
				16F5C921240D5395001B75D4 /* Resources */,
				16FD65B9244469CF00E906BC /* Git Sha -> Info.plist */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Share;
			productName = Share;
			productReference = 16F5C923240D5395001B75D4 /* Share.appex */;
			productType = "com.apple.product-type.app-extension";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		168C719822AD03EC007DF595 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1010;
				LastUpgradeCheck = 1010;
				ORGANIZATIONNAME = "Marcus Rohrmoser mobile Software";
				TargetAttributes = {
					168C719F22AD03EC007DF595 = {
						CreatedOnToolsVersion = 10.1;
						LastSwiftMigration = 1010;
						SystemCapabilities = {
							com.apple.ApplicationGroups.iOS = {
								enabled = 1;
							};
							com.apple.Keychain = {
								enabled = 1;
							};
						};
					};
					168C71B322AD03EE007DF595 = {
						CreatedOnToolsVersion = 10.1;
						LastSwiftMigration = 1010;
						TestTargetID = 168C719F22AD03EC007DF595;
					};
					168C71BE22AD03EE007DF595 = {
						CreatedOnToolsVersion = 10.1;
						LastSwiftMigration = 1010;
						TestTargetID = 168C719F22AD03EC007DF595;
					};
					16F5C922240D5395001B75D4 = {
						CreatedOnToolsVersion = 10.1;
						SystemCapabilities = {
							com.apple.ApplicationGroups.iOS = {
								enabled = 1;
							};
							com.apple.Keychain = {
								enabled = 1;
							};
						};
					};
				};
			};
			buildConfigurationList = 168C719B22AD03EC007DF595 /* Build configuration list for PBXProject "ShaarliOS" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 168C719722AD03EC007DF595;
			productRefGroup = 168C71A122AD03EC007DF595 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				168C719F22AD03EC007DF595 /* ShaarliOS */,
				168C71B322AD03EE007DF595 /* ShaarliOSTests */,
				168C71BE22AD03EE007DF595 /* ShaarliOSUITests */,
				16F5C922240D5395001B75D4 /* Share */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		168C719E22AD03EC007DF595 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				1688469E237065CF00130588 /* LaunchScreen.xib in Resources */,
				16D5E29723058BF200D62C2E /* about.html in Resources */,
				168C71AB22AD03ED007DF595 /* Assets.xcassets in Resources */,
				1631278B2305F7AF0098B11C /* Main.storyboard in Resources */,
				168846A22370669300130588 /* Icon-1024x1024.png in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		168C71B222AD03EE007DF595 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				1607F42C22AD21C30036AC44 /* testdata in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		168C71BD22AD03EE007DF595 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				1607F42D22AD21C30036AC44 /* testdata in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		16F5C921240D5395001B75D4 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				162268BF261DB7DD001F550F /* Scraper.js in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		16D5E298230594F800D62C2E /* Git Sha -> Info.plist */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
			);
			name = "Git Sha -> Info.plist";
			outputFileListPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "# write git version SHA into Info.plist\n#\n# inspired by\n# - http://kswizz.com/post/2686511526/git-xcode-versioning\n# - http://stackoverflow.com/a/12658311\ncd \"$PROJECT_DIR\"\ninfo_plist=\"$TARGET_BUILD_DIR/$INFOPLIST_PATH\"\ngitsha=$(git rev-parse --short HEAD)\n# version=$(/usr/libexec/PlistBuddy -c \"Print :CFBundleVersion\" \"$info_plist\")\n/usr/libexec/PlistBuddy -c \"Set :CFBundleVersionGitSHA $gitsha\" \"$info_plist\"\n# /usr/libexec/PlistBuddy -c \"Set :CFBundleShortVersionString '$version'\" \"$info_plist\"\n";
		};
		16FD65B9244469CF00E906BC /* Git Sha -> Info.plist */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
			);
			name = "Git Sha -> Info.plist";
			outputFileListPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "# write git version SHA into Info.plist\n#\n# inspired by\n# - http://kswizz.com/post/2686511526/git-xcode-versioning\n# - http://stackoverflow.com/a/12658311\ncd \"$PROJECT_DIR\"\ninfo_plist=\"$TARGET_BUILD_DIR/$INFOPLIST_PATH\"\ngitsha=$(git rev-parse --short HEAD)\n# version=$(/usr/libexec/PlistBuddy -c \"Print :CFBundleVersion\" \"$info_plist\")\n/usr/libexec/PlistBuddy -c \"Set :CFBundleVersionGitSHA $gitsha\" \"$info_plist\"\n# /usr/libexec/PlistBuddy -c \"Set :CFBundleShortVersionString '$version'\" \"$info_plist\"\n";
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		168C719C22AD03EC007DF595 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				16DAA966240036C9009641CC /* SettingsVC.swift in Sources */,
				16B094C524000F3F001B5224 /* ShaarliM.swift in Sources */,
				16D5E293230581E700D62C2E /* MainVC.swift in Sources */,
				1607F42622AD0D210036AC44 /* ShaarliHtmlClient.swift in Sources */,
				1607F43622AD2D8B0036AC44 /* HtmlFormParser.swift in Sources */,
				16B094C924001075001B5224 /* BlogM.swift in Sources */,
				168C71A422AD03EC007DF595 /* AppDelegate.swift in Sources */,
				16964E2B2401354C004D85FA /* KeychainPasswordItem.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		168C71B022AD03EE007DF595 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				1605933D2402E3D7001DB69F /* Disposable.swift in Sources */,
				1607F42722AD0D210036AC44 /* ShaarliHtmlClient.swift in Sources */,
				1607F43722AD2D8B0036AC44 /* HtmlFormParser.swift in Sources */,
				1622937A240DB3E400B2017F /* KeyValueObserver.m in Sources */,
				164741522451B8550016EA9A /* SettingsVCTest.swift in Sources */,
				161FACA922AEBAED00C96B96 /* HtmlFormParserTest.swift in Sources */,
				168C71B922AD03EE007DF595 /* ShaarliOSTests.swift in Sources */,
				16B094C624000F3F001B5224 /* ShaarliM.swift in Sources */,
				1607F42A22AD121E0036AC44 /* ShaarliHtmlClientTest.swift in Sources */,
				16B094CA24001075001B5224 /* BlogM.swift in Sources */,
				16ECD148240E538500C66051 /* KeychainPasswordItem.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		168C71BB22AD03EE007DF595 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				1607F42822AD0D210036AC44 /* ShaarliHtmlClient.swift in Sources */,
				168C71C422AD03EE007DF595 /* ShaarliOSUITests.swift in Sources */,
				16B094C724000F3F001B5224 /* ShaarliM.swift in Sources */,
				16ECD149240E539B00C66051 /* KeychainPasswordItem.swift in Sources */,
				16B094CB24001075001B5224 /* BlogM.swift in Sources */,
				1607F43822AD2D8B0036AC44 /* HtmlFormParser.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		16F5C91F240D5395001B75D4 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				16F5C93B240D706A001B75D4 /* ShaarliHtmlClient.swift in Sources */,
				16F5C938240D7056001B75D4 /* BlogM.swift in Sources */,
				16F5C926240D5395001B75D4 /* ShareVC.swift in Sources */,
				16F5C939240D705B001B75D4 /* ShaarliM.swift in Sources */,
				16F5C937240D7002001B75D4 /* KeychainPasswordItem.swift in Sources */,
				16F5C93A240D7063001B75D4 /* HtmlFormParser.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		168C71B622AD03EE007DF595 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 168C719F22AD03EC007DF595 /* ShaarliOS */;
			targetProxy = 168C71B522AD03EE007DF595 /* PBXContainerItemProxy */;
		};
		168C71C122AD03EE007DF595 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 168C719F22AD03EC007DF595 /* ShaarliOS */;
			targetProxy = 168C71C022AD03EE007DF595 /* PBXContainerItemProxy */;
		};
		16F5C92C240D5395001B75D4 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 16F5C922240D5395001B75D4 /* Share */;
			targetProxy = 16F5C92B240D5395001B75D4 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		1688469C237065CF00130588 /* LaunchScreen.xib */ = {
			isa = PBXVariantGroup;
			children = (
				1688469D237065CF00130588 /* Base */,
			);
			name = LaunchScreen.xib;
			sourceTree = "<group>";
		};
		168C71A722AD03EC007DF595 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				168C71A822AD03EC007DF595 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		16D5E29523058BF200D62C2E /* about.html */ = {
			isa = PBXVariantGroup;
			children = (
				16D5E29623058BF200D62C2E /* Base */,
			);
			name = about.html;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		168C71C622AD03EE007DF595 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				CURRENT_PROJECT_VERSION = 26;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				HEADER_SEARCH_PATHS = "$(SDKROOT)/usr/include/libxml2";
				IPHONEOS_DEPLOYMENT_TARGET = 9.0;
				MARKETING_VERSION = 1.4.4;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				OTHER_LDFLAGS = "-lxml2";
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OBJC_BRIDGING_HEADER = ShaarliOS/Bridging.h;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		168C71C722AD03EE007DF595 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				CURRENT_PROJECT_VERSION = 26;
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				HEADER_SEARCH_PATHS = "$(SDKROOT)/usr/include/libxml2";
				IPHONEOS_DEPLOYMENT_TARGET = 9.0;
				MARKETING_VERSION = 1.4.4;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				OTHER_LDFLAGS = "-lxml2";
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OBJC_BRIDGING_HEADER = ShaarliOS/Bridging.h;
				SWIFT_OPTIMIZATION_LEVEL = "-Osize";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		168C71C922AD03EE007DF595 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_ENTITLEMENTS = ShaarliOS/ShaarliOS.entitlements;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = PE85K2L7LE;
				INFOPLIST_FILE = ShaarliOS/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = name.mro.ShaarliOS;
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Debug;
		};
		168C71CA22AD03EE007DF595 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_ENTITLEMENTS = ShaarliOS/ShaarliOS.entitlements;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = PE85K2L7LE;
				INFOPLIST_FILE = ShaarliOS/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = name.mro.ShaarliOS;
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Release;
		};
		168C71CC22AD03EE007DF595 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = PE85K2L7LE;
				INFOPLIST_FILE = ShaarliOSTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = name.mro.ShaarliOSTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/ShaarliOS.app/ShaarliOS";
			};
			name = Debug;
		};
		168C71CD22AD03EE007DF595 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = PE85K2L7LE;
				INFOPLIST_FILE = ShaarliOSTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = name.mro.ShaarliOSTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/ShaarliOS.app/ShaarliOS";
			};
			name = Release;
		};
		168C71CF22AD03EE007DF595 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = PE85K2L7LE;
				INFOPLIST_FILE = ShaarliOSUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = name.mro.ShaarliOSUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = ShaarliOS;
			};
			name = Debug;
		};
		168C71D022AD03EE007DF595 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = PE85K2L7LE;
				INFOPLIST_FILE = ShaarliOSUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = name.mro.ShaarliOSUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.2;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = ShaarliOS;
			};
			name = Release;
		};
		16F5C92E240D5395001B75D4 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_ENTITLEMENTS = Share/Share.entitlements;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = PE85K2L7LE;
				INFOPLIST_FILE = Share/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = name.mro.ShaarliOS.Share;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
			};
			name = Debug;
		};
		16F5C92F240D5395001B75D4 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_ENTITLEMENTS = Share/Share.entitlements;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = PE85K2L7LE;
				INFOPLIST_FILE = Share/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = name.mro.ShaarliOS.Share;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		168C719B22AD03EC007DF595 /* Build configuration list for PBXProject "ShaarliOS" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				168C71C622AD03EE007DF595 /* Debug */,
				168C71C722AD03EE007DF595 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		168C71C822AD03EE007DF595 /* Build configuration list for PBXNativeTarget "ShaarliOS" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				168C71C922AD03EE007DF595 /* Debug */,
				168C71CA22AD03EE007DF595 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		168C71CB22AD03EE007DF595 /* Build configuration list for PBXNativeTarget "ShaarliOSTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				168C71CC22AD03EE007DF595 /* Debug */,
				168C71CD22AD03EE007DF595 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		168C71CE22AD03EE007DF595 /* Build configuration list for PBXNativeTarget "ShaarliOSUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				168C71CF22AD03EE007DF595 /* Debug */,
				168C71D022AD03EE007DF595 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		16F5C930240D5395001B75D4 /* Build configuration list for PBXNativeTarget "Share" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				16F5C92E240D5395001B75D4 /* Debug */,
				16F5C92F240D5395001B75D4 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 168C719822AD03EC007DF595 /* Project object */;
}
